function onCreate()
	for i = 0, getProperty('unspawnNotes.length')-1 do
		if getPropertyFromGroup('unspawnNotes', i, 'noteType') == 'shimmy' then
            setPropertyFromGroup('unspawnNotes', i, 'noAnimation', true);
		end
	end
end

function opponentNoteHit(i, d, t, l)
    if t == "shimmy" then
        if d == 0 then
            playAnim("dad", "chaLeft", true)
        elseif d == 3 then
            playAnim("dad", "chaRight", true)
        end
    end
end